/v1/verifier/requests/{uuid}/qr_code
API Key
Get QR code for presentation request
Generate a QR code for the presentation request. The QR code contains the OpenID4VP URI
that wallets can scan to respond to the request. Only available for active requests.
Parameters
| Name | Location | Type | Description |
|---|---|---|---|
uuid
*
|
path | string | Presentation request UUID |
format
|
query | string |
Output format
Values: svg, png, base64
|
X-API-Key
*
|
header | string | Verifier API key for authentication |
* Required parameter
Response
Content-Type: image/svg+xml, image/png, application/json
success
boolean
data
object
format
string
Example: base64
data
string
Base64-encoded PNG
content_type
string
Example: image/png
openid4vp_uri
string
The encoded URI
Code Examples
import os
from aho_sdk import AhoSdk
client = AhoSdk.verifier(api_key=os.environ["AHO_API_KEY"])
result = client.requests.qr_code(
uuid="example_uuid"
)
client = AhoSdk.verifier(api_key: ENV["AHO_API_KEY"])
result = client.requests.qr_code(
uuid: "example_uuid"
)
import { AhoSdk } from '@aho/sdk';
const client = AhoSdk.verifier({ apiKey: process.env.AHO_API_KEY });
const result = await client.requests.qr_code({
uuid: "example_uuid"
});
curl -X GET 'https://api.aho.com/v1/verifier/requests/example_uuid/qr_code' \
-H 'X-API-Key: $AHO_API_KEY'
Try It
Log in to test this endpoint directly from the documentation.
Log in